package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.teacher.SmartEvaluateTdetail;
import com.template.model.result.PageUtils;
import com.template.model.vo.RankingVo;

import java.util.List;

/**
 * <p>
 * 评分表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-02
 */
public interface SmartEvaluateTdetailService extends IService<SmartEvaluateTdetail> {

    int insertSmartEvaluateTdetail(SmartEvaluateTdetail sa);

    int updateSmartEvaluateTdetail(SmartEvaluateTdetail sa);

    PageUtils<SmartEvaluateTdetail> queryPageSmartEvaluateTdetail(int currentPage, int pageCount, QueryWrapper<SmartEvaluateTdetail> queryWrapper);

    int deleteSmartEvaluateTdetailById(int id);

    SmartEvaluateTdetail getSmartEvaluateTdetailById(int id);

    List<SmartEvaluateTdetail> getEvaluateTdetailList();

    List<SmartEvaluateTdetail> getEvaluateTdetailByKey(QueryWrapper<SmartEvaluateTdetail> queryWrapper);

    Double getAvgEvaluateScore(String term, String scoreItem);

    List<SmartEvaluateTdetail> queryTdetailsByTermUserId(int termId,int userId);


}
